Bug 244189 - update graphics/openshadinglanguage to 1.10.9
Summary: update graphics/openshadinglanguage to 1.10.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexandre C. Guimarães
URL: https://github.com/imageworks/OpenSha...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-17 11:15 UTC by Shane
Modified: 2020-02-26 19:10 UTC (History)
1 user (show)

See Also:


Attachments
maintainer update for graphics/openshadinglanguage (4.07 KB, patch)
2020-02-17 11:15 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update for graphics/openshadinglanguage (3.80 KB, patch)
2020-02-26 10:01 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane 2020-02-17 11:15:56 UTC
Created attachment 211714 [details]
maintainer update for graphics/openshadinglanguage

update to v1.10.9

Includes ncurses change from bug #244140
Fixes build with clang90
Comment 1 Alexandre C. Guimarães freebsd_committer 2020-02-24 02:34:45 UTC
Hello,

could you please re-generate the patch? This is failing to apply clearly in here. :-(

Thanks!
Comment 2 Shane 2020-02-26 10:01:12 UTC
Created attachment 211949 [details]
maintainer update for graphics/openshadinglanguage

Adjust after bug #244140 has been applied
Comment 3 commit-hook freebsd_committer 2020-02-26 19:10:10 UTC
A commit references this bug:

Author: rigoletto
Date: Wed Feb 26 19:09:46 UTC 2020
New revision: 527184
URL: https://svnweb.freebsd.org/changeset/ports/527184

Log:
  graphics/openshadinglanguage: Update to 1.10.9

  PR:		244189
  Submitted by:	Shane <FreeBSD@ShaneWare.Biz> (maintainer)
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/graphics/openshadinglanguage/Makefile
  head/graphics/openshadinglanguage/distinfo
  head/graphics/openshadinglanguage/files/patch-src_cmake_modules_FindLLVM.cmake
  head/graphics/openshadinglanguage/pkg-plist
Comment 4 Alexandre C. Guimarães freebsd_committer 2020-02-26 19:10:54 UTC
Thanks! :-)